goog.provide 'app.DocumentCreator'

class app.DocumentCreator
  ###*
    @constructor
    @param {app.viewer.Document} documentViewer
  ###
  constructor: (@documentViewer) ->
    {
      html,head,meta,title,link,body
      div
    } = React.DOM

    DocumentViewer = @documentViewer.reactClass

    @component = React.createClass(
        getDefaultProps: ->
          title: 'Document title'
          lang: 'en'
          charSet: 'utf-8'

        render: ->
          html(
            {lang: @props.lang}
            head {},
              meta charSet: @props.charSet
              title {}, @props.title
            body {}, DocumentViewer()
          )
      )

  ###*
    @returns {string} the document HTML as a string
  ###
  renderDocument: (document, settings) ->
    # mock until server side done
    documentString = React.renderComponentToStaticMarkup(
      @component()
    )
    return documentString