goog.provide 'app.document.Image'

goog.require 'app.document.Block'
goog.require 'app.formatter.ImageSettings'

class app.document.Image extends app.document.Block

  ###*
    @param {Object=} attributes
    @constructor
    @extends {app.document.Block}
  ###
  constructor: (attributes = {}) ->
    super attributes
    @imageData = attributes.imageData
    @formatSettings = new app.formatter.ImageSettings(attributes.formatSettings)

  ###*
    @type {Blob} Base64 image data
    @expose
  ###
  imageData: null

  ###*
    @type {app.formatter.ImageSettings}
    @expose
  ###
  formatSettings: null

