goog.provide 'app.document.List'

goog.require 'app.document.Block'

class app.document.List extends app.document.Block

  ###*
    @param {Object=} attrs
    @constructor
    @extends {app.document.Block}
    @final
  ###
  constructor: (attrs) ->
    super attrs
    @type = app.BlockType.List
    @items = if attrs.items then attrs.items else []
    @isOrdered = attrs.isOrdered if attrs.isOrdered

  ###*
    @type {Array.<string>}
    @expose
  ###
  items: null

  ###*
    @type {boolean}
    @expose
  ###
  isOrdered: false