goog.require 'app.editor.Block'
goog.require 'app.EditorStore'
goog.require 'app.domAssert'
goog.require 'tests.Factory'
goog.require 'app.testUtils'

docStore = {
  deleteBlock: sinon.spy()
}

createBlock = tests.Factory.BlockReact.createWithMockedParams

createAndRender = (opts) ->
  React.renderComponent createBlock(opts), getEl()

renderToStaticMarkup = (opts) ->
  React.renderComponentToStaticMarkup createBlock(opts)

getEl = ->
  @el || @el = app.testUtils.createEl()

isElementPaneActive = ->
  assert.include getEl().innerHTML, 'Block type:'

suite 'app.editor.Block', ->
  setup ->
     @block = createBlock()
     React.renderComponent(@block, getEl())

  test 'init ok', ->
    assert.ok @block

