goog.provide 'app.editor.List'

goog.require 'app.editor.TextEditor'
goog.require 'app.BlockType'
###
  props:
  onEditorChange with 1st value bind to block
###
do ->
  {textarea} = React.DOM
  TextEditor = app.editor.TextEditor.reactClass

  app.editor.List.reactClass = React.createClass(
    displayName: 'list'

    renderContent: (items) ->
      return items.join '\n'

    getDefaultProps: ->
      return {
        items: ['first item', 'second item']
      }

    render: ->
      TextEditor({
        initText: @renderContent(@props.items)
        id: @props.id
        onContentChange: @onChange
      })

    ###*
      @param {string} content
    ###
    onChange: (content) ->
      items = content.split('\n')
      @props.onEditorChange items
  )
