goog.require 'app.testUtils'

List = app.editor.List.reactClass
getEl = -> @el || @el = app.testUtils.createEl()
onEditorChange =

suite 'app.editor.List', ->
  suite 'render', ->

    setup ->
      @changeSpy = sinon.spy()
      @view = React.renderComponent List({
        items: ['1', '2', '3']
        onEditorChange: @changeSpy
      }), getEl()

    test 'render', ->
      assert.ok @view

    test 'onEditorChange', ->
      content = '1\n2\n3'
      @view.onChange(content)
      assert.ok @changeSpy.calledOnce
      assert.deepEqual @changeSpy.firstCall.args[0], ['1', '2', '3']


