create = -> new app.formatter.FontCalc()


suite 'headerSize', ->
  setup ->
    @calc = create()
    @calc.lowestHeader = 6
    @calc.baseSize = 12

  test 'lowest header has base size', ->

    assert.equal @calc.headerSize(6), 12, 'lowest header'

  test 'other header levels are computed', ->
    assert.equal @calc.headerSize(5), 14.4

  test 'top level size', ->
    assert.equal @calc.headerSize(1), 29.86