goog.provide 'apptypes'

goog.require 'app.document.Block'
goog.require 'app.BlockType'

###*
  @typedef {Array.<app.document.Block>}
###
apptypes.Blocks

###*
  @typedef {app.document.Block}
###
apptypes.Block

###*
  @typedef {{
    block: app.document.Block,
    formatSettings: app.formatter.DocumentSettings,
    renderBlocks: function(apptypes.BlockViewerProps)
  }}
  optional:
  levelCount: (number|undefined),
  level: (number|undefined)
  activeBlockId: number - when !isExporting
###
apptypes.BlockViewerProps

###*
  @typedef {{
    block: app.document.Block,
    renderBlocks: function(apptypes.Blocks),
    canNestSection: boolean,
    onAppendBlock: function(apptypes.Block, app.BlockType),
    onRemove: function(apptypes.Block)
  }}
###
apptypes.SectionProps
