goog.require 'app.document.Block'
goog.require 'app.document.StructuredBlock'
suite 'app.document.StructuredBlock', ->
  suite 'construction', ->
    setup -> @block = new app.document.StructuredBlock()

    test 'has nested blocks', ->
      #console.error 'block: ', @block
      assert.deepEqual @block.blocks, []

    suite 'rest inherits from Block', ->
      test 'is instance', -> assert.instanceOf @block, app.document.Block

      test 'optional attributes', ->
        block = new app.document.StructuredBlock {title: 'Wall of Romulus impacts'}
        assert.equal block.title, 'Wall of Romulus impacts'


