goog.provide 'app.editor.ElementPane'

do ->
  {div, input, option, select} = React.DOM

  app.editor.ElementPane.reactClass = React.createClass(
    ###
      @param allTypes {Array.<app.BlockType>}
      @param type {app.BlockType} - the current type of block
    ###
    typesChoose: (allTypes, type, onChange) ->
      return unless allTypes?
      typesOptions = allTypes.map (type) -> option({key: type}, type)

      type = div(
        {}
        'Block type: '
        select(
          {value: type, onChange: onChange}
          typesOptions
        )
      )
      return type

    render: ->
      div(
        {className: 'pane element'}
        @typesChoose @props.types, @props.block.type, @props.onTypeChange
        @props.typeOptions
      )
  )
